[gelöst] Treiberprobleme Kartenleser für Moneyplex 12

Alles rund um die Systemverwaltung, die Administration und Konfiguration Eures Linuxsystems

Moderator: Moderatoren

Sauerland
Guru
Guru
Beiträge: 2914
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Treiberprobleme Kartenleser für Moneyplex 12

Beitrag von Sauerland » 28. Dez 2013, 12:41

Das mit dem direkt anschliessen ist auch noch eine Idee. Ich erinnere mich dunkel, dass irgendwo in der FAQ was mit eventuellen Problemen beim Anschluss über passive Hubs gestanden hat.
Bei mir hängt das Teil aber seit Jahr und Tag schon an einem aktiven Hub.
Bei mir hängt das Teil auch ohne das Verlängerungskabel an einem aktiven Hub.

Wenn der Leser direkt angeschlossen ist, kann es auch sein, das die USB-Buchse zu wenig Strom liefert.
Das wäre dann ein Problem des Computers.
Desktop: OpenSUSE Leap 42.3, Nvidia-Grafik Kernel 4.4
Laptop: OpenSUSE Leap 42.3, Intel-Skylake, Kernel 4.x, Windows 10

Werbung:
bayernherz
Hacker
Hacker
Beiträge: 447
Registriert: 5. Nov 2011, 20:27
Wohnort: in Oberbayern

Re: Treiberprobleme Kartenleser für Moneyplex 12

Beitrag von bayernherz » 29. Dez 2013, 17:16

leider funktioniert nach dem Repos Update der Kartenleser in Moneyplex beim Onlinebetrieb jetzt garnicht mehr.
Im Onlinebetrieb mit der Bank u.eingelegter Chipkarte kommt die Fehlermeldung:
Der Zugriff auf die Chipkarte war nicht erfolgreich.
Perform Verification: Der Chipkartenleser kann nicht angesprochen werden.
Im Onlinebetrieb mit der Bank u.nicht eingelegter Chipkarte kommt die Fehlermeldung:
Es befindet sich keine Chipkarte im Lesegerät.


d.h. die Karte im Kartenleser wird erkannt, aber der Zugriff verweigert
Der im Menue Einstellungen durchgeführte Test verläuft positiv
:down:
Repos vor dem Update

Code: Alles auswählen

zypper se -si pcsc
Retrieving repository 'Graphics Project (openSUSE_12.2)' metadata ..........................................................[done]
Building repository 'Graphics Project (openSUSE_12.2)' cache ...............................................................[done]
Loading repository data...
Reading installed packages...

S | Name           | Type    | Version                     | Arch   | Repository            
--+----------------+---------+-----------------------------+--------+-----------------------
i | libpcsclite1   | package | 1.8.10-98.1                 | x86_64 | openSUSE_12.2 chipcard
i | pcsc-ccid      | package | 1.4.13-51.2                 | x86_64 | (System Packages)     
i | pcsc-cyberjack | package | 3.99.5final.SP05-1.suse12.2 | x86_64 | (System Packages)     
i | pcsc-lite      | package | 1.8.10-98.1                 | x86_64 | openSUSE_12.2 chipcard
i | pcsc-tools     | package | 1.4.21-1.3                  | x86_64 | openSUSE_12.2 chipcard
i | perl-pcsc      | package | 1.4.10-18.1                 | x86_64 | openSUSE_12.2 chipcard
Repos nach dem Update

Code: Alles auswählen

zypper se -si pcsc
Loading repository data...
Reading installed packages...

S | Name           | Type    | Version               | Arch   | Repository            
--+----------------+---------+-----------------------+--------+-----------------------
i | libpcsclite1   | package | 1.8.10-98.1           | x86_64 | openSUSE_12.2 chipcard
i | pcsc-ccid      | package | 1.4.14-52.1           | x86_64 | openSUSE_12.2 chipcard
i | pcsc-cyberjack | package | 3.99.5final.SP03-66.1 | x86_64 | openSUSE_12.2 chipcard
i | pcsc-lite      | package | 1.8.10-98.1           | x86_64 | openSUSE_12.2 chipcard
i | pcsc-tools     | package | 1.4.21-1.3            | x86_64 | openSUSE_12.2 chipcard
i | perl-pcsc      | package | 1.4.10-18.1           | x86_64 | openSUSE_12.2 chipcard

Code: Alles auswählen

groups
users uucp dialout video cyberjack

Code: Alles auswählen

moneyplex 12
Version 12.0 Pro (Build L-21110-64bit)
Kartenleser an einem USB2 Port

Code: Alles auswählen

lsusb
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 003 Device 002: ID 046a:0011 Cherry GmbH G83 (RS 6000) Keyboard
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 003: ID 0c4b:0500 Reiner SCT Kartensysteme GmbH

Bus 002 Device 004: ID 046d:c404 Logitech, Inc. TrackMan Wheel
Kartenleser an einem USB3 Port
lsusb

Code: Alles auswählen

Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 003 Device 003: ID 0c4b:0500 Reiner SCT Kartensysteme GmbH

Bus 003 Device 002: ID 046a:0011 Cherry GmbH G83 (RS 6000) Keyboard
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 004: ID 046d:c404 Logitech, Inc. TrackMan Wheel
Fazit: An beiden USB Ports das gleiche Fehlerverhalten

Diagnose vom Sauerland System
zypper se -si pcsc
Daten des Repositories laden ...
Installierte Pakete lesen ...

S | Name | Typ | Version | Arch | Repository
--+----------------+-------+------------------------+--------+------------------
i | libpcsclite1 | Paket | 1.8.3-2.1.3 | x86_64 | openSUSE-12.2-Oss
i | pcsc-cyberjack | Paket | 3.99.5final.SP03-3.1.2 | x86_64 | openSUSE-12.2-Oss
i | pcsc-lite | Paket | 1.8.3-2.1.3 | x86_64 | openSUSE-12.2-Oss
i | perl-pcsc | Paket | 1.4.10-7.1.2 | x86_64 | openSUSE-12.2-Oss
Fazit: Meine Packete sind von openSUSE_12.2 chipcard
und funktionieren nicht
Ich möchte gern mal versuchen diese Packete auf x86_64 | openSUSE-12.2-Oss umzustellen.

Hierzu bitte ich Euch um Unterstützung.
Vielen Dank. :)

viele grüsse aus dem schneelosen oberbayern
vom bayernherz

Sauerland
Guru
Guru
Beiträge: 2914
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Treiberprobleme Kartenleser für Moneyplex 12

Beitrag von Sauerland » 29. Dez 2013, 18:11

Yast----Software----Software installieren öffnen.
Als Suchbegriff pcsc eingeben. Suchen.
Rechts daneben erscheinen die Pakete, die das Suchkriterium erfüllen.
Auf eines der zu ändernden Pakete klicken und unten unter dem Reiter Versionen die passende Version des anderen Repos passend zur Architektur auswählen.
Diese mit allen zu ändernden Paketen machen und nachher akzeptieren klicken.

In moneyplex ist der Leser aber vorhanden? Kartenleser-----pcsc-Treiber?

Hast Du moneyplex als User in ein neues Verzeichnis einmal neu installiert?

Letzter Tip:
Deaktiviere einmal das Graphics und das Chipcard Repo und schließe dann Yast.
Dann in der Konsole als root:

Code: Alles auswählen

zypper clean -a

Code: Alles auswählen

zypper ref

Code: Alles auswählen

zypper -dup
Desktop: OpenSUSE Leap 42.3, Nvidia-Grafik Kernel 4.4
Laptop: OpenSUSE Leap 42.3, Intel-Skylake, Kernel 4.x, Windows 10

bayernherz
Hacker
Hacker
Beiträge: 447
Registriert: 5. Nov 2011, 20:27
Wohnort: in Oberbayern

Re: Treiberprobleme Kartenleser für Moneyplex 12

Beitrag von bayernherz » 2. Jan 2014, 14:29

ich habe die Repositys zurückgeändert wie folgt.

Code: Alles auswählen

zypper lr -uP
# | Alias               | Name                             | Enabled | Refresh | Priority | URI                                                                        
--+---------------------+----------------------------------+---------+---------+----------+----------------------------------------------------------------------------
4 | packman             | packman                          | Yes     | Yes     |   20     | http://ftp.halifax.rwth-aachen.de/packman/suse/12.2/                       
1 | dvd                 | dvd                              | Yes     | Yes     |   99     | http://opensuse-guide.org/repo/12.2/                                       
2 | graphics            | Graphics Project (openSUSE_12.2) | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/graphics/openSUSE_12.2/          
3 | openSUSE_12.2       | openSUSE_12.2 chipcard           | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/security:/chipcard/openSUSE_12.2/
5 | repo-non-oss        | openSUSE-12.2-Non-Oss            | Yes     | Yes     |   99     | http://download.opensuse.org/distribution/12.2/repo/non-oss/               
6 | repo-oss            | openSUSE-12.2-Oss                | Yes     | Yes     |   99     | http://download.opensuse.org/distribution/12.2/repo/oss/                   
7 | repo-update         | openSUSE-12.2-Update             | Yes     | Yes     |   99     | http://download.opensuse.org/update/12.2/                                  
8 | repo-update-non-oss | openSUSE-12.2-Update-Non-Oss     | Yes     | Yes     |   99     | http://download.opensuse.org/update/12.2-non-oss/                          

Code: Alles auswählen

zypper se -si pcsc
Retrieving repository 'Graphics Project (openSUSE_12.2)' metadata ..........................................................[done]
Building repository 'Graphics Project (openSUSE_12.2)' cache ...............................................................[done]
Loading repository data...
Reading installed packages...

S | Name           | Type    | Version                     | Arch   | Repository            
--+----------------+---------+-----------------------------+--------+-----------------------
i | libpcsclite1   | package | 1.8.10-98.1                 | x86_64 | openSUSE_12.2 chipcard
i | pcsc-ccid      | package | 1.4.7-1.1.2                 | x86_64 | openSUSE-12.2-Oss     
i | pcsc-cyberjack | package | 3.99.5final.SP05-1.suse12.2 | x86_64 | (System Packages)     
i | pcsc-lite      | package | 1.8.10-98.1                 | x86_64 | openSUSE_12.2 chipcard
i | pcsc-tools     | package | 1.4.21-1.3                  | x86_64 | openSUSE_12.2 chipcard
i | perl-pcsc      | package | 1.4.10-18.1                 | x86_64 | openSUSE_12.2 chipcard
Fazit: :)
Kartenleser funktioniert wieder.
Problem wird weiter beobachtet.
Ich denke es war der Original REINER-SCT Kartentreiber, das es wieder funktioniert.

Code: Alles auswählen

i | pcsc-cyberjack | package | 3.99.5final.SP05-1.suse12.2 | x86_64 | (System Packages)     
Werde das Problem weiter beobachten und mich wieder melden.
Ich habe weiterhin einen Workaround gefunden, den ich allerdings erst noch mit Matrica gesprechen
möchte, bevor ich ihn veröffentliche.

Letzter Tip:
Deaktiviere einmal das Graphics und das Chipcard Repo und schließe dann Yast.
Dann in der Konsole als root:

Code: Alles auswählen
zypper clean -a

Code: Alles auswählen
zypper ref

Code: Alles auswählen
zypper -dup
habe ich jetzt noch nicht durchgeführt!

viele grüsse aus oberbayern
vom bayernherz :thumbs:

bayernherz
Hacker
Hacker
Beiträge: 447
Registriert: 5. Nov 2011, 20:27
Wohnort: in Oberbayern

[gelöst ] Re: Treiberprobleme Kartenleser für Moneyplex 12

Beitrag von bayernherz » 20. Nov 2014, 16:12

hallo zusammen,
ich möchte den Artikel jetzt mal schliessen.
Für meinen Fall habe ich mich für eine Interriemslösung entschieden.
Und zwar:
Die Karte nicht aus dem Kartenleser herausnehmen,
dann geht der Kartenleser nicht in den Standby Modus.
Es ist auch nicht notwendig, das sich die Bankkarte im Kartenleser befindet,
es kann irgendeine sein.

Leider habe ich vom Service Moneyplex bei der Problemlösung garkeine Unterstützung
bekommen, obwohl ich Programm u. Kartenleser von Moneyplex gekauft habe.
Mit der Begründung "das ist kein Problem von Moneyplex".
Ich solle mich doch an ReinerSCT wenden.
Nach deutlichen Worten von meiner Seite, wurde mir mit Aussperrung vom Service gedroht.

viele grüsse aus dem herbstlichen Oberbayern
vom bayernherz

Sauerland
Guru
Guru
Beiträge: 2914
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: [gelöst] Treiberprobleme Kartenleser für Moneyplex 12

Beitrag von Sauerland » 20. Nov 2014, 18:04

Code: Alles auswählen

lsb-release -d
Description:    openSUSE 13.2 (Harlequin) (x86_64)

Code: Alles auswählen

uname -a
Linux linux64 3.16.6-2-desktop #1 SMP PREEMPT Mon Oct 20 13:47:22 UTC 2014 (feb42ea) x86_64 x86_64 x86_64 GNU/Linux

Code: Alles auswählen

Bus 002 Device 004: ID 0c4b:0500 Reiner SCT Kartensysteme GmbH

Code: Alles auswählen

zypper se -si pcsc
Daten des Repositories laden ...
Installierte Pakete lesen ...

S | Name           | Typ   | Version               | Arch   | Repository
--+----------------+-------+-----------------------+--------+-----------
i | libpcsclite1   | Paket | 1.8.13-117.1          | x86_64 | Chipcard  
i | pcsc-cyberjack | Paket | 3.99.5final.SP05-76.1 | x86_64 | Chipcard  
i | pcsc-lite      | Paket | 1.8.13-117.1          | x86_64 | Chipcard

Code: Alles auswählen

zypper lr -d
#  | Alias                       | Name                              | Aktiviert | Aktualisieren | Priorität | Typ      | URI                                                                         | Dienst
---+-----------------------------+-----------------------------------+-----------+---------------+-----------+----------+-----------------------------------------------------------------------------+-------
 1 | Chipcard                    | Chipcard                          | Ja        | Ja            |   50      | rpm-md   | http://download.opensuse.org/repositories/security:/chipcard/openSUSE_13.2/ |
Moneyplex 12 (Kaufversion) läuft hier wunderbar. Karte schiebe ich nur bei Bedarf ein, funktioniert so wie es soll.
Desktop: OpenSUSE Leap 42.3, Nvidia-Grafik Kernel 4.4
Laptop: OpenSUSE Leap 42.3, Intel-Skylake, Kernel 4.x, Windows 10

bayernherz
Hacker
Hacker
Beiträge: 447
Registriert: 5. Nov 2011, 20:27
Wohnort: in Oberbayern

Re: [gelöst] Treiberprobleme Kartenleser für Moneyplex 12

Beitrag von bayernherz » 20. Nov 2014, 19:36

hallo Sauerland,

danke für Deine Antwort.
Du verwendest OpenSuse 13.1 64 bit KDE
und ich OpenSuse 12.2 64 bit KDE

Lass gut sein, ich komme mit dem jetzigen Zustand gut zurecht.
Allerdings bin ich mit dem Support von Moneyplex überhaupt nicht zufrieden.
Und ich überlege stark, ob ich mich nochmals für Moneyplex entscheide.
Für mich wird diese Entscheidung auch durch den
Artikel der ct25/2014 Desktop-Bankschalter bestätigt.

Danke Sauerland

viele grüsse aus dem abendlichen oberbayern
vom bayernherz

Sauerland
Guru
Guru
Beiträge: 2914
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: [gelöst] Treiberprobleme Kartenleser für Moneyplex 12

Beitrag von Sauerland » 20. Nov 2014, 20:03

Du verwendest OpenSuse 13.1 64 bit KDE
und ich OpenSuse 12.2 64 bit KDE
Ich verwende die aktuelle Version 13.2.

Du die mittlerweile nicht mehr unterstützte Version 12.2.
https://de.opensuse.org/Produktlebensdauer
Desktop: OpenSUSE Leap 42.3, Nvidia-Grafik Kernel 4.4
Laptop: OpenSUSE Leap 42.3, Intel-Skylake, Kernel 4.x, Windows 10

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste